--- Mesa-7.8.2/src/mesa/glapi/gen/glX_proto_size.py.orig	2010-06-16 03:43:42.000000000 +1000
+++ Mesa-7.8.2/src/mesa/glapi/gen/glX_proto_size.py	2010-12-06 15:14:02.000000000 +1100
@@ -166,19 +166,19 @@
 					masked_count[i] = c
 
 
-			print '    static const GLushort a[%u] = {' % (mask + 1)
+			print ('    static const GLushort a[%u] = {' % (mask + 1))
 			for e in masked_enums:
-				print '        %s, ' % (masked_enums[e])
-			print '    };'
+				print ('        %s, ' % (masked_enums[e]))
+			print ('    };')
 
-			print '    static const GLubyte b[%u] = {' % (mask + 1)
+			print ('    static const GLubyte b[%u] = {' % (mask + 1))
 			for c in masked_count:
-				print '        %u, ' % (masked_count[c])
-			print '    };'
+				print ('        %u, ' % (masked_count[c]))
+			print ('    };')
 
-			print '    const unsigned idx = (e & 0x%02xU);' % (mask)
-			print ''
-			print '    return (e == a[idx]) ? (GLint) b[idx] : 0;'
+			print ('    const unsigned idx = (e & 0x%02xU);' % (mask))
+			print ('')
+			print ('    return (e == a[idx]) ? (GLint) b[idx] : 0;')
 			return 1;
 		else:
 			return 0;
@@ -188,7 +188,7 @@
 		"""Emit the body of the __gl*_size function using a 
 		switch-statement."""
 
-		print '    switch( e ) {'
+		print ('    switch( e ) {')
 
 		for c in self.count:
 			for e in self.count[c]:
@@ -210,30 +210,30 @@
 				for k in keys:
 					j = list[k]
 					if first:
-						print '        case GL_%s:' % (j)
+						print ('        case GL_%s:' % (j))
 						first = 0
 					else:
-						print '/*      case GL_%s:*/' % (j)
+						print ('/*      case GL_%s:*/' % (j))
 					
 			if c == -1:
-				print '            return __gl%s_variable_size( e );' % (name)
+				print ('            return __gl%s_variable_size( e );' % (name))
 			else:
-				print '            return %u;' % (c)
+				print ('            return %u;' % (c))
 					
-		print '        default: return 0;'
-		print '    }'
+		print ('        default: return 0;')
+		print ('    }')
 
 
 	def Print(self, name):
-		print 'INTERNAL PURE FASTCALL GLint'
-		print '__gl%s_size( GLenum e )' % (name)
-		print '{'
+		print ('INTERNAL PURE FASTCALL GLint')
+		print ('__gl%s_size( GLenum e )' % (name))
+		print ('{')
 
 		if not self.PrintUsingTable():
 			self.PrintUsingSwitch(name)
 
-		print '}'
-		print ''
+		print ('}')
+		print ('')
 
 
 class glx_server_enum_function(glx_enum_function):
@@ -281,18 +281,18 @@
 			fixup.append( p.name )
 
 
-		print '    GLsizei compsize;'
-		print ''
+		print ('    GLsizei compsize;')
+		print ('')
 
 		printer.common_emit_fixups(fixup)
 
-		print ''
-		print '    compsize = __gl%s_size(%s);' % (f.name, string.join(f.count_parameter_list, ","))
+		print ('')
+		print ('    compsize = __gl%s_size(%s);' % (f.name, string.join(f.count_parameter_list, ",")))
 		p = f.variable_length_parameter()
-		print '    return __GLX_PAD(%s);' % (p.size_string())
+		print ('    return __GLX_PAD(%s);' % (p.size_string()))
 
-		print '}'
-		print ''
+		print ('}')
+		print ('')
 
 
 class PrintGlxSizeStubs_common(gl_XML.gl_print_base):
@@ -312,38 +312,38 @@
 
 class PrintGlxSizeStubs_c(PrintGlxSizeStubs_common):
 	def printRealHeader(self):
-		print ''
-		print '#include <GL/gl.h>'
+		print ('')
+		print ('#include <GL/gl.h>')
 		if self.emit_get:
-			print '#include "indirect_size_get.h"'
-			print '#include "glxserver.h"'
-			print '#include "indirect_util.h"'
+			print ('#include "indirect_size_get.h"')
+			print ('#include "glxserver.h"')
+			print ('#include "indirect_util.h"')
 		
-		print '#include "indirect_size.h"'
+		print ('#include "indirect_size.h"')
 
-		print ''
+		print ('')
 		self.printPure()
-		print ''
+		print ('')
 		self.printFastcall()
-		print ''
+		print ('')
 		self.printVisibility( "INTERNAL", "internal" )
-		print ''
-		print ''
-		print '#if defined(__CYGWIN__) || defined(__MINGW32__) || defined(__APPLE__)'
-		print '#  undef HAVE_ALIAS'
-		print '#endif'
-		print '#ifdef HAVE_ALIAS'
-		print '#  define ALIAS2(from,to) \\'
-		print '    INTERNAL PURE FASTCALL GLint __gl ## from ## _size( GLenum e ) \\'
-		print '        __attribute__ ((alias( # to )));'
-		print '#  define ALIAS(from,to) ALIAS2( from, __gl ## to ## _size )'
-		print '#else'
-		print '#  define ALIAS(from,to) \\'
-		print '    INTERNAL PURE FASTCALL GLint __gl ## from ## _size( GLenum e ) \\'
-		print '    { return __gl ## to ## _size( e ); }'
-		print '#endif'
-		print ''
-		print ''
+		print ('')
+		print ('')
+		print ('#if defined(__CYGWIN__) || defined(__MINGW32__) || defined(__APPLE__)')
+		print ('#  undef HAVE_ALIAS')
+		print ('#endif')
+		print ('#ifdef HAVE_ALIAS')
+		print ('#  define ALIAS2(from,to) \\')
+		print ('    INTERNAL PURE FASTCALL GLint __gl ## from ## _size( GLenum e ) \\')
+		print ('        __attribute__ ((alias( # to )));')
+		print ('#  define ALIAS(from,to) ALIAS2( from, __gl ## to ## _size )')
+		print ('#else')
+		print ('#  define ALIAS(from,to) \\')
+		print ('    INTERNAL PURE FASTCALL GLint __gl ## from ## _size( GLenum e ) \\')
+		print ('    { return __gl ## to ## _size( e ); }')
+		print ('#endif')
+		print ('')
+		print ('')
 
 
 	def printBody(self, api):
@@ -365,26 +365,26 @@
 
 
 		for [alias_name, real_name] in aliases:
-			print 'ALIAS( %s, %s )' % (alias_name, real_name)
+			print ('ALIAS( %s, %s )' % (alias_name, real_name))
 
 
 				
 class PrintGlxSizeStubs_h(PrintGlxSizeStubs_common):
 	def printRealHeader(self):
-		print """/**
+		print ("""/**
  * \\file
  * Prototypes for functions used to determine the number of data elements in
  * various GLX protocol messages.
  *
  * \\author Ian Romanick <idr@us.ibm.com>
  */
-"""
+""")
 		self.printPure();
-		print ''
+		print ('')
 		self.printFastcall();
-		print ''
+		print ('')
 		self.printVisibility( "INTERNAL", "internal" );
-		print ''
+		print ('')
 
 
 	def printBody(self, api):
@@ -394,7 +394,7 @@
 				continue
 
 			if (ef.is_set() and self.emit_set) or (not ef.is_set() and self.emit_get):
-				print 'extern INTERNAL PURE FASTCALL GLint __gl%s_size(GLenum);' % (func.name)
+				print ('extern INTERNAL PURE FASTCALL GLint __gl%s_size(GLenum);' % (func.name))
 
 
 class PrintGlxReqSize_common(gl_XML.gl_print_base):
@@ -419,15 +419,15 @@
 
 	def printRealHeader(self):
 		self.printVisibility("HIDDEN", "hidden")
-		print ''
+		print ('')
 		self.printPure()
-		print ''
+		print ('')
 
 
 	def printBody(self, api):
 		for func in api.functionIterateGlx():
 			if not func.ignore and func.has_variable_size_request():
-				print 'extern PURE HIDDEN int __glX%sReqSize(const GLbyte *pc, Bool swap);' % (func.name)
+				print ('extern PURE HIDDEN int __glX%sReqSize(const GLbyte *pc, Bool swap);' % (func.name))
 
 
 class PrintGlxReqSize_c(PrintGlxReqSize_common):
@@ -444,30 +444,30 @@
 
 
 	def printRealHeader(self):
-		print ''
-		print '#include <GL/gl.h>'
-		print '#include "glxserver.h"'
-		print '#include "glxbyteorder.h"'
-		print '#include "indirect_size.h"'
-		print '#include "indirect_reqsize.h"'
-		print ''
-		print '#define __GLX_PAD(x)  (((x) + 3) & ~3)'
-		print ''
-		print '#if defined(__CYGWIN__) || defined(__MINGW32__)'
-		print '#  undef HAVE_ALIAS'
-		print '#endif'
-		print '#ifdef HAVE_ALIAS'
-		print '#  define ALIAS2(from,to) \\'
-		print '    GLint __glX ## from ## ReqSize( const GLbyte * pc, Bool swap ) \\'
-		print '        __attribute__ ((alias( # to )));'
-		print '#  define ALIAS(from,to) ALIAS2( from, __glX ## to ## ReqSize )'
-		print '#else'
-		print '#  define ALIAS(from,to) \\'
-		print '    GLint __glX ## from ## ReqSize( const GLbyte * pc, Bool swap ) \\'
-		print '    { return __glX ## to ## ReqSize( pc, swap ); }'
-		print '#endif'
-		print ''
-		print ''
+		print ('')
+		print ('#include <GL/gl.h>')
+		print ('#include "glxserver.h"')
+		print ('#include "glxbyteorder.h"')
+		print ('#include "indirect_size.h"')
+		print ('#include "indirect_reqsize.h"')
+		print ('')
+		print ('#define __GLX_PAD(x)  (((x) + 3) & ~3)')
+		print ('')
+		print ('#if defined(__CYGWIN__) || defined(__MINGW32__)')
+		print ('#  undef HAVE_ALIAS')
+		print ('#endif')
+		print ('#ifdef HAVE_ALIAS')
+		print ('#  define ALIAS2(from,to) \\')
+		print ('    GLint __glX ## from ## ReqSize( const GLbyte * pc, Bool swap ) \\')
+		print ('        __attribute__ ((alias( # to )));')
+		print ('#  define ALIAS(from,to) ALIAS2( from, __glX ## to ## ReqSize )')
+		print ('#else')
+		print ('#  define ALIAS(from,to) \\')
+		print ('    GLint __glX ## from ## ReqSize( const GLbyte * pc, Bool swap ) \\')
+		print ('    { return __glX ## to ## ReqSize( pc, swap ); }')
+		print ('#endif')
+		print ('')
+		print ('')
 
 
 	def printBody(self, api):
@@ -519,7 +519,7 @@
 
 
 		for [alias_name, real_name] in aliases:
-			print 'ALIAS( %s, %s )' % (alias_name, real_name)
+			print ('ALIAS( %s, %s )' % (alias_name, real_name))
 
 		return
 
@@ -528,10 +528,10 @@
 		"""Utility function to emit conditional byte-swaps."""
 
 		if fixup:
-			print '    if (swap) {'
+			print ('    if (swap) {')
 			for name in fixup:
-				print '        %s = bswap_32(%s);' % (name, name)
-			print '    }'
+				print ('        %s = bswap_32(%s);' % (name, name))
+			print ('    }')
 
 		return
 
@@ -540,14 +540,14 @@
 		offset = p.offset
 		dst = p.string()
 		src = '(%s *)' % (p.type_string())
-		print '%-18s = *%11s(%s + %u);' % (dst, src, pc, offset + adjust);
+		print ('%-18s = *%11s(%s + %u);' % (dst, src, pc, offset + adjust))
 		return
 
 
 	def common_func_print_just_header(self, f):
-		print 'int'
-		print '__glX%sReqSize( const GLbyte * pc, Bool swap )' % (f.name)
-		print '{'
+		print ('int')
+		print ('__glX%sReqSize( const GLbyte * pc, Bool swap )' % (f.name))
+		print ('{')
 
 
 	def printPixelFunction(self, f):
@@ -556,20 +556,20 @@
 		f.offset_of( f.parameters[0].name )
 		[dim, w, h, d, junk] = f.get_images()[0].get_dimensions()
 
-		print '    GLint row_length   = *  (GLint *)(pc +  4);'
+		print ('    GLint row_length   = *  (GLint *)(pc +  4);')
 
 		if dim < 3:
 			fixup = ['row_length', 'skip_rows', 'alignment']
-			print '    GLint image_height = 0;'
-			print '    GLint skip_images  = 0;'
-			print '    GLint skip_rows    = *  (GLint *)(pc +  8);'
-			print '    GLint alignment    = *  (GLint *)(pc + 16);'
+			print ('    GLint image_height = 0;')
+			print ('    GLint skip_images  = 0;')
+			print ('    GLint skip_rows    = *  (GLint *)(pc +  8);')
+			print ('    GLint alignment    = *  (GLint *)(pc + 16);')
 		else:
 			fixup = ['row_length', 'image_height', 'skip_rows', 'skip_images', 'alignment']
-			print '    GLint image_height = *  (GLint *)(pc +  8);'
-			print '    GLint skip_rows    = *  (GLint *)(pc + 16);'
-			print '    GLint skip_images  = *  (GLint *)(pc + 20);'
-			print '    GLint alignment    = *  (GLint *)(pc + 32);'
+			print ('    GLint image_height = *  (GLint *)(pc +  8);')
+			print ('    GLint skip_rows    = *  (GLint *)(pc + 16);')
+			print ('    GLint skip_images  = *  (GLint *)(pc + 20);')
+			print ('    GLint alignment    = *  (GLint *)(pc + 32);')
 
 		img = f.images[0]
 		for p in f.parameterIterateGlxSend():
@@ -577,21 +577,21 @@
 				self.common_emit_one_arg(p, "pc", 0)
 				fixup.append( p.name )
 
-		print ''
+		print ('')
 
 		self.common_emit_fixups(fixup)
 
 		if img.img_null_flag:
-			print ''
-			print '	   if (*(CARD32 *) (pc + %s))' % (img.offset - 4)
-			print '	       return 0;'
-
-		print ''
-		print '    return __glXImageSize(%s, %s, %s, %s, %s, %s,' % (img.img_format, img.img_type, img.img_target, w, h, d )
-		print '                          image_height, row_length, skip_images,'
-		print '                          skip_rows, alignment);'
-		print '}'
-		print ''
+			print ('')
+			print ('	   if (*(CARD32 *) (pc + %s))' % (img.offset - 4))
+			print ('	       return 0;')
+
+		print ('')
+		print ('    return __glXImageSize(%s, %s, %s, %s, %s, %s,' % (img.img_format, img.img_type, img.img_target, w, h, d ))
+		print ('                          image_height, row_length, skip_images,')
+		print ('                          skip_rows, alignment);')
+		print ('}')
+		print ('')
 		return
 
 
@@ -640,24 +640,24 @@
 				self.common_emit_one_arg(p, "pc", 0)
 
 
-			print ''
+			print ('')
 			self.common_emit_fixups(fixup)
-			print ''
+			print ('')
 
-			print '    return __GLX_PAD(%s);' % (size)
-			print '}'
-			print ''
+			print ('    return __GLX_PAD(%s);' % (size))
+			print ('}')
+			print ('')
 
 		return alias
 
 
 def show_usage():
-	print "Usage: %s [-f input_file_name] -m output_mode [--only-get | --only-set] [--get-alias-set]" % sys.argv[0]
-	print "    -m output_mode   Output mode can be one of 'size_c' or 'size_h'."
-	print "    --only-get       Only emit 'get'-type functions."
-	print "    --only-set       Only emit 'set'-type functions."
-	print ""
-	print "By default, both 'get' and 'set'-type functions are emitted."
+	print ("Usage: %s [-f input_file_name] -m output_mode [--only-get | --only-set] [--get-alias-set]" % sys.argv[0])
+	print ("    -m output_mode   Output mode can be one of 'size_c' or 'size_h'.")
+	print ("    --only-get       Only emit 'get'-type functions.")
+	print ("    --only-set       Only emit 'set'-type functions.")
+	print ("")
+	print ("By default, both 'get' and 'set'-type functions are emitted.")
 	sys.exit(1)
 
 
--- Mesa-7.8.2/src/mesa/glapi/gen/glX_server_table.py.orig	2010-06-16 03:43:42.000000000 +1000
+++ Mesa-7.8.2/src/mesa/glapi/gen/glX_server_table.py	2010-12-06 15:09:33.000000000 +1100
@@ -172,8 +172,8 @@
 		if children == []:
 			return
 
-		print '    /* [%u] -> opcode range [%u, %u], node depth %u */' % (base_entry, base_opcode, base_opcode + (1 << remaining_bits), depth)
-		print '    %u,' % (M)
+		print ('    /* [%u] -> opcode range [%u, %u], node depth %u */' % (base_entry, base_opcode, base_opcode + (1 << remaining_bits), depth))
+		print ('    %u,' % (M))
 
 		base_entry += (1 << M) + 1
 
@@ -182,7 +182,7 @@
 		for child in children:
 			if child[1] == []:
 				if self.is_empty_leaf(child_base_opcode, child_M):
-					print '    EMPTY_LEAF,'
+					print ('    EMPTY_LEAF,')
 				else:
 					# Emit the index of the next dispatch
 					# function.  Then add all the
@@ -190,7 +190,7 @@
 					# node to the dispatch function
 					# lookup table.
 
-					print '    LEAF(%u),' % (len(self.lookup_table))
+					print ('    LEAF(%u),' % (len(self.lookup_table)))
 
 					for op in range(child_base_opcode, child_base_opcode + (1 << child_M)):
 						if self.functions.has_key(op):
@@ -218,12 +218,12 @@
 
 						self.lookup_table.append(temp)
 			else:
-				print '    %u,' % (child_index)
+				print ('    %u,' % (child_index))
 				child_index += child[2]
 
 			child_base_opcode += 1 << child_M
 
-		print ''
+		print ('')
 
 		child_index = base_entry
 		for child in children:
@@ -278,31 +278,31 @@
 
 		tree = self.divide_group(0, 0)
 
-		print '/*****************************************************************/'
-		print '/* tree depth = %u */' % (tree[3])
-		print 'static const int_fast16_t %s_dispatch_tree[%u] = {' % (self.name_base, tree[2])
+		print ('/*****************************************************************/')
+		print ('/* tree depth = %u */' % (tree[3]))
+		print ('static const int_fast16_t %s_dispatch_tree[%u] = {' % (self.name_base, tree[2]))
 		self.dump_tree(tree, 0, self.max_bits, 0, 1)
-		print '};\n'
+		print ('};\n')
 		
 		# After dumping the tree, dump the function lookup table.
 		
-		print 'static const void *%s_function_table[%u][2] = {' % (self.name_base, len(self.lookup_table))
+		print ('static const void *%s_function_table[%u][2] = {' % (self.name_base, len(self.lookup_table)))
 		index = 0
 		for func in self.lookup_table:
 			opcode = func[0]
 			name = func[1]
 			name_swap = func[2]
 			
-			print '    /* [% 3u] = %5u */ {%s, %s},' % (index, opcode, name, name_swap)
+			print ('    /* [% 3u] = %5u */ {%s, %s},' % (index, opcode, name, name_swap))
 			
 			index += 1
 
-		print '};\n'
+		print ('};\n')
 		
 		if self.do_size_check:
 			var_table = []
 
-			print 'static const int_fast16_t %s_size_table[%u][2] = {' % (self.name_base, len(self.lookup_table))
+			print ('static const int_fast16_t %s_size_table[%u][2] = {' % (self.name_base, len(self.lookup_table)))
 			index = 0
 			var_table = []
 			for func in self.lookup_table:
@@ -316,31 +316,31 @@
 				else:
 					var_offset = "~0"
 
-				print '    /* [%3u] = %5u */ {%3u, %s},' % (index, opcode, fixed, var_offset)
+				print ('    /* [%3u] = %5u */ {%3u, %s},' % (index, opcode, fixed, var_offset))
 				index += 1
 
 				
-			print '};\n'
+			print ('};\n')
 
 
-			print 'static const gl_proto_size_func %s_size_func_table[%u] = {' % (self.name_base, len(var_table))
+			print ('static const gl_proto_size_func %s_size_func_table[%u] = {' % (self.name_base, len(var_table)))
 			for func in var_table:
-				print '   %s,' % (func)
+				print ('   %s,' % (func))
  
-			print '};\n'
+			print ('};\n')
 
 
-		print 'const struct __glXDispatchInfo %s_dispatch_info = {' % (self.name_base)
-		print '    %u,' % (self.max_bits)
-		print '    %s_dispatch_tree,' % (self.name_base)
-		print '    %s_function_table,' % (self.name_base)
+		print ('const struct __glXDispatchInfo %s_dispatch_info = {' % (self.name_base))
+		print ('    %u,' % (self.max_bits))
+		print ('    %s_dispatch_tree,' % (self.name_base))
+		print ('    %s_function_table,' % (self.name_base))
 		if self.do_size_check:
-			print '    %s_size_table,' % (self.name_base)
-			print '    %s_size_func_table' % (self.name_base)
+			print ('    %s_size_table,' % (self.name_base))
+			print ('    %s_size_func_table' % (self.name_base))
 		else:
-			print '    NULL,'
-			print '    NULL'
-		print '};\n'
+			print ('    NULL,')
+			print ('    NULL')
+		print ('};\n')
 		return
 
 
@@ -357,14 +357,14 @@
 
 
 	def printRealHeader(self):
-		print '#include <inttypes.h>'
-		print '#include "glxserver.h"'
-		print '#include "glxext.h"'
-		print '#include "indirect_dispatch.h"'
-		print '#include "indirect_reqsize.h"'
-		print '#include "g_disptab.h"'
-		print '#include "indirect_table.h"'
-		print ''
+		print ('#include <inttypes.h>')
+		print ('#include "glxserver.h"')
+		print ('#include "glxext.h"')
+		print ('#include "indirect_dispatch.h"')
+		print ('#include "indirect_reqsize.h"')
+		print ('#include "g_disptab.h"')
+		print ('#include "indirect_table.h"')
+		print ('')
 		return
 
 
--- Mesa-7.8.2/src/mesa/glapi/gen/remap_helper.py.orig	2010-06-16 03:43:43.000000000 +1000
+++ Mesa-7.8.2/src/mesa/glapi/gen/remap_helper.py	2010-12-06 15:06:16.000000000 +1100
@@ -64,24 +64,24 @@
 
 
 	def printRealHeader(self):
-		print '#include "main/dispatch.h"'
-		print ''
+		print ('#include "main/dispatch.h"')
+		print ('')
 		return
 
 
 	def printBody(self, api):
-		print 'struct gl_function_remap {'
-		print '   GLint func_index;'
-		print '   GLint dispatch_offset; /* for sanity check */'
-		print '};'
-		print ''
+		print ('struct gl_function_remap {')
+		print ('   GLint func_index;')
+		print ('   GLint dispatch_offset; /* for sanity check */')
+		print ('};')
+		print ('')
 
 		pool_indices = {}
 
-		print '/* this is internal to remap.c */'
-		print '#ifdef need_MESA_remap_table'
-		print ''
-		print 'static const char _mesa_function_pool[] ='
+		print ('/* this is internal to remap.c */')
+		print ('#ifdef need_MESA_remap_table')
+		print ('')
+		print ('static const char _mesa_function_pool[] =')
 
 		# output string pool
 		index = 0;
@@ -99,29 +99,29 @@
 			else:
 				comments = "dynamic"
 
-			print '   /* _mesa_function_pool[%d]: %s (%s) */' \
-					% (index, f.name, comments)
+			print ('   /* _mesa_function_pool[%d]: %s (%s) */' \
+					% (index, f.name, comments))
 			for line in spec:
-				print '   "%s\\0"' % line
+				print ('   "%s\\0"' % line)
 				index += len(line) + 1
-		print '   ;'
-		print ''
+		print ('   ;')
+		print ('')
 
-		print '/* these functions need to be remapped */'
-		print 'static const struct {'
-		print '   GLint pool_index;'
-		print '   GLint remap_index;'
-		print '} MESA_remap_table_functions[] = {'
+		print ('/* these functions need to be remapped */')
+		print ('static const struct {')
+		print ('   GLint pool_index;')
+		print ('   GLint remap_index;')
+		print ('} MESA_remap_table_functions[] = {')
 		# output all functions that need to be remapped
 		# iterate by offsets so that they are sorted by remap indices
 		for f in api.functionIterateByOffset():
 			if not f.assign_offset:
 				continue
-			print '   { %5d, %s_remap_index },' \
-					% (pool_indices[f], f.name)
-		print '   {    -1, -1 }'
-		print '};'
-		print ''
+			print ('   { %5d, %s_remap_index },' \
+					% (pool_indices[f], f.name))
+		print ('   {    -1, -1 }')
+		print ('};')
+		print ('')
 
 		# collect functions by versions/extensions
 		extension_functions = {}
@@ -147,8 +147,8 @@
 		extensions.sort()
 
 		# output ABI functions that have alternative names (with ext suffix)
-		print '/* these functions are in the ABI, but have alternative names */'
-		print 'static const struct gl_function_remap MESA_alt_functions[] = {'
+		print ('/* these functions are in the ABI, but have alternative names */')
+		print ('static const struct gl_function_remap MESA_alt_functions[] = {')
 		for ext in extensions:
 			funcs = []
 			for f in extension_functions[ext]:
@@ -157,16 +157,16 @@
 					funcs.append(f)
 			if not funcs:
 				continue
-			print '   /* from %s */' % ext
+			print ('   /* from %s */' % ext)
 			for f in funcs:
-				print '   { %5d, _gloffset_%s },' \
-						% (pool_indices[f], f.name)
-		print '   {    -1, -1 }'
-		print '};'
-		print ''
+				print ('   { %5d, _gloffset_%s },' \
+						% (pool_indices[f], f.name))
+		print ('   {    -1, -1 }')
+		print ('};')
+		print ('')
 
-		print '#endif /* need_MESA_remap_table */'
-		print ''
+		print ('#endif /* need_MESA_remap_table */')
+		print ('')
 
 		# output remap helpers for DRI drivers
 
@@ -182,30 +182,30 @@
 					# abi, or have offset -1
 					funcs.append(f)
 
-			print '#if defined(need_%s)' % (ext)
+			print ('#if defined(need_%s)' % (ext))
 			if remapped:
-				print '/* functions defined in MESA_remap_table_functions are excluded */'
+				print ('/* functions defined in MESA_remap_table_functions are excluded */')
 
 			# output extension functions that need to be mapped
-			print 'static const struct gl_function_remap %s_functions[] = {' % (ext)
+			print ('static const struct gl_function_remap %s_functions[] = {' % (ext))
 			for f in funcs:
 				if f.offset >= 0:
-					print '   { %5d, _gloffset_%s },' \
-							% (pool_indices[f], f.name)
+					print ('   { %5d, _gloffset_%s },' \
+							% (pool_indices[f], f.name))
 				else:
-					print '   { %5d, -1 }, /* %s */' % \
-							(pool_indices[f], f.name)
-			print '   {    -1, -1 }'
-			print '};'
+					print ('   { %5d, -1 }, /* %s */' % \
+							(pool_indices[f], f.name))
+			print ('   {    -1, -1 }')
+			print ('};')
 
-			print '#endif'
-			print ''
+			print ('#endif')
+			print ('')
 
 		return
 
 
 def show_usage():
-	print "Usage: %s [-f input_file_name]" % sys.argv[0]
+	print ("Usage: %s [-f input_file_name]" % sys.argv[0])
 	sys.exit(1)
 
 if __name__ == '__main__':
--- Mesa-7.8.2/src/mesa/glapi/gen/typeexpr.py.orig	2010-06-16 03:43:43.000000000 +1000
+++ Mesa-7.8.2/src/mesa/glapi/gen/typeexpr.py	2010-12-06 15:00:49.000000000 +1100
@@ -287,6 +287,6 @@
 	create_initial_types()
 
 	for t in types_to_try:
-		print 'Trying "%s"...' % (t)
+		print ('Trying "%s"...' % (t))
 		te = type_expression( t )
-		print 'Got "%s" (%u, %u).' % (te.string(), te.get_stack_size(), te.get_element_size())
+		print ('Got "%s" (%u, %u).' % (te.string(), te.get_stack_size(), te.get_element_size()))
